

/*

CSS SECTIONS
PLEASE TRY AND ADD TO EXISTING SECTIONS OR GROUP
CSS TOGETHER IN NEW GROUPS TO MAKE IT EASIER TO FIND

CALENDAR - CALENDER CSS FOR CALENDAR CONTROL
MAINTENANCE - CSS FOR MAINTENANCE SCREENS
FORM TITLES (List View, Gantt View etc) - CSS TO CONTROL PAGE TITLE BANNER
FLOATING MENU BUTTON - BOTTOM RIGHT
DASHBOARDS - CSS FOR MAIN DASHBOARDS
HEADER ICONS - HEADER ICONS ON TOP RIGHT OF SCREEN (SETTINGS, LOGOUT , MIN MENU)
STATUS BOXES -
BUTTONS - SYSTEM WIDE BUTTONS
PANEL HEADERS
MAIN NAV PANEL - MINIFIED NAV PANEL
MAIN NAV PANEL - STANDARD NAV PANEL
LOGIN SCREEN
SELECT2
DATEPICKER
DATATABLES
TASK DETAILS

TO BE CLASSIFIED - THESE ARE ITEMS THAT ARE NOT YET GROUPED

 */

:root {
    --text-light: #E6E6E6;
    --default-text-colour : #666;
    --default-menu-spacing : .8rem;
}

/******************/
/* BODY           */
/******************/


.body {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: .8125rem;
    font-weight: 400;
    line-height: 1.27;
    color: var(--default-text-colour);
    text-align: left;
}

.page-content{
    color: var(--default-text-colour);
}


/******************/
/* MAIN NAV PANEL */
/******************/

/* Override for Logo (this is the setup for AltLogic Logo and will be overrridden in config for others */

.page-logo {
    -webkit-box-shadow: none!important;
    box-shadow: none!important;
}

.page-logo img {
    width: auto;
    height: 100px;
    margin-left: 0px;
    margin-top: 10px;
}

/* Spacing of Nav Items */

.nav-menu li a {
    padding: var(--default-menu-spacing) 2rem;
}

.nav-menu li a:focus {
    color: var(--menu-text-color)!important;
}

/* Spacing of Nav Opened Items (Sections) */

.nav-menu li > ul li a {
    /*padding: .3125rem 2rem .3125rem 4rem;*/
    padding: var(--default-menu-spacing) 2rem var(--default-menu-spacing) 4rem;
}

.nav-menu li > ul li a:hover {
    color: #fff;
    background-color: rgba(0,0,0,.1);
}

.nav-menu li a:hover {
    color: #fff;
    background-color: rgba(0,0,0,.1);
}

.nav-function-minify .page-logo
{
    display:none;
}

/* Override Gradients for Left Nav Panel (don't want them) */
.page-logo, .page-sidebar, .nav-footer, .bg-brand-gradient {
    background-image: -webkit-gradient(linear, right top, left top, from(transparent), to(transparent));
    background-image: linear-gradient(270deg, transparent, transparent);
    background-color: var(--menu-bg-color);
}

/* Background Colour of Left Nav Panel */
.primary-nav
{
    background-color: var(--menu-bg-color);
}

/* Background Colour of Opened / Selected Section on Left Nav Panel */
.nav-menu li > ul
{
    background-color: var(--menu-bg-color);
}

/* Menu Item Text */
.nav-menu li > ul li a {
    color: var(--menu-text-color);
}

.nav-menu li a > .nav-link-text {
/*    color: var(--menu-text-color); */
}

/* Menu Section Item Text */
.nav-menu li a {
    color: var(--menu-text-color);
}

.nav-menu li.open>a {
    color: var(--menu-text-color);
}

/* Selected Meny Item */
.nav-menu ul .active > a {
    color: var(--menu-text-selected-color)!important;
    position: relative;
}

/* Selected Section Box (box to left of section) */
.nav-menu li.active > a {
    color: var(--menu-text-selected-color);
    background-color: rgba(255,255,255,.04);
    -webkit-box-shadow: inset 3px 0 0 var(--menu-text-selected-color);
    box-shadow: inset 3px 0 0 var(--menu-text-selected-color);
    font-weight: 400;
}

.nav-menu li a:hover {
    color: #fff;
    background-color: rgba(0,0,0,.1) !important;
}

/* Selected Meny Indicator (DOT) */
.nav-menu li.active:not(.open)>a:before {
    content: '\f413';
    font-family: nextgen-icons;
    position: absolute;
    top: calc(50% - 5px);
    right: 11px;
    font-size: 7px;
    height: 10px;
    width: auto;
    color: var(--menu-text-selected-color);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-line-pack: center;
    align-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

/*  Hover Menu Section Item Text */
.nav-menu li > ul li a:hover {
    color: var(--menu-text-selected-color);
}

/*  Menu Item Icon */
.nav-menu li a > .ni, .nav-menu li a > [class*="fa-"] {
    color: var(--menu-icon-color);
}
/*  Hover Menu Item Icon */
.nav-menu li a:hover > .ni, .nav-menu li a:hover > [class*="fa-"] {
    color: var(--menu-icon-hover-color);
}
/*  Hover Menu Section Item Icon */
.nav-menu li.active > a:hover > .ni, .nav-menu li.active > a:hover > [class*="fa-"] {
    color: var(--menu-icon-hover-color);
}

.nav-menu b.collapse-sign {
    color: var(--menu-text-selected-color);
}

/* NAVIGATOR LEFT DOT */
.mod-nav-link:not(.nav-function-top):not(.nav-function-minify):not(.mod-hide-nav-icons) ul.nav-menu:not(.nav-menu-compact) > li > ul > li a::after {
content: "";
/* display: block; */
display:none;
position: absolute;
width: .4rem;
height: .4rem;
background-color: var(--text-light);
left: 2.4rem;
top: calc(50% - .3rem);
border: 0px solid #333;
border-radius: 50%;
z-index: 1;
}

/* NAVIGATOR LEFT LINE */
.mod-nav-link:not(.nav-function-top):not(.nav-function-minify):not(.mod-hide-nav-icons) ul.nav-menu:not(.nav-menu-compact) > li > ul::before {
    content: "";
    /*display: block;*/
    display: none;
    position: absolute;
    z-index: 1;
    left: 2.5625rem;
    top: 44px;
    bottom: 0;
    border-left: 1px solid var(--text-light)!important;
}



/*****************************/
/* MAIN NAV PANEL - MINIFIED */
/*****************************/

/* override dark grey box around minified button */

.page-header {
    background-color: var(--header-bg-color);
}

.page-logo {
    background-color: var(--header-bg-color);
}

.nav-function-minify:not(.nav-function-top) .page-sidebar {
    z-index: 999999;
}
.nav-function-minify:not(.nav-function-top) .page-header [data-class="nav-function-minify"] {
    background: var(--header-bg-color);
    border-color: var(--header-bg-color);
    -webkit-box-shadow: inset 0 0 3px 1px rgba(0, 0, 0, 0);
    color: var(--header-bg-color);
}

/* Minified Menu Graphic */

.nav-function-minify:not(.nav-function-top) .page-sidebar .primary-nav .nav-menu>li>a+ul:before {
    content: "\f1c8";
    font-family: nextgen-icons;
    position: absolute;
    font-size: 3.5rem;
    left: -.4125rem;
    color: var(--main-accent-colour);
    z-index: -1;
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg);
    overflow: hidden;
    display: block;
    top: 1rem;
}

/* Minified Menu Popout */

.nav-function-minify:not(.nav-function-top) .page-sidebar .primary-nav .nav-menu>li>a+ul {
    position: absolute;
    width: 13.75rem;
    left: 5.6875rem;
    background-color: var(--main-accent-colour);
    margin-top: -5rem;
    padding-top: 3.75rem;
    border-radius: 4px .5rem .5rem .5rem;
    padding-bottom: 1rem;
    z-index:1!important;
}

.nav-function-minify:not(.nav-function-top) .page-sidebar .primary-nav .nav-menu > li > a > .nav-link-text {
    display: none;
    position: absolute;
    text-align: left;
    background: transparent;
    padding-left: 1.375rem;
    color: var(--menu-icon-color);
    top: 0;
    left: 5.6875rem;
    height: 100%;
    width: 13.75rem;
    font-weight: 500;
    margin-top: -1.563rem;
}


/******************/
/* PANEL HEADERS  */
/******************/
.panel-hdr {
    background-color: #F8F8F8;
    color: #232323;
    border-radius: 0px!important;
}

.panel-hdr > h2 {
    color: var(--default-text-colour);
    font-weight: 300;
}

.font-bold-hdr {
    background-color: #F8F8F8;
    font-size: 16px;
    font-weight: 400;
    color: #232323;
}



/******************/
/* BUTTONS        */
/******************/

.btn{

}

.btn-default, .btn-danger, .btn-success {
    border-radius: 0px !important;
    height: 30px;
    min-height: 20px!important;
    padding-top: 5px;
}

/* normal */
.btn-primary {
    border-radius: 0px!important;
    min-height: 20px!important;
    color: #fff!important;
    background-color: var(--main-accent-colour);
    border-color: var(--main-accent-colour);
    background-image: none!important;
    height: 30px;
    padding-top: 5px;

}

/* hover */
.btn-primary:hover {
    border-radius: 0px!important;
    min-height: 20px!important;
    -webkit-box-shadow: none;
    box-shadow: none;
    background-color: var(--main-accent-colour);
    border-color: var(--main-accent-colour);
    filter: brightness(90%);
    z-index: 2
}

/* active */
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
    color: #fff;
    background-color: var(--main-accent-colour);
    border-color: var(--main-accent-colour);
}

/* focus */
.btn-primary.focus, .btn-primary:focus {
    color: #fff;
    background-color: var(--main-accent-colour);
    border-color: var(--main-accent-colour);
    -webkit-box-shadow: 0 0 0 .2rem rgba(128,145,192,.5);
    box-shadow: 0 0 0 .2rem rgba(128,145,192,.5);
}


/* normal */
.btn-secondary {
    border-radius: 0px!important;
    min-height: 20px!important;
    color: var(--default-text-colour)!important;
    background-color: #F1F1F1;
    border-color: #DBDBDB;
    background-image: none!important;
    height: 30px;
    padding-top: 5px;

}

/* hover */
.btn-secondary:hover {
    border-radius: 0px!important;
    min-height: 20px!important;
    -webkit-box-shadow: none;
    box-shadow: none;
    background-color: #F1F1F1;
    border-color: #DBDBDB;
    filter: brightness(90%);
    z-index: 2
}

/* active */
.btn-secondary:not(:disabled):not(.disabled).active, .btn-secondary:not(:disabled):not(.disabled):active, .show > .btn-secondary.dropdown-toggle {
    color: var(--default-text-colour);
    background-color: #F1F1F1;
    border-color: #DBDBDB;
}

/* focus */
.btn-secondary.focus, .btn-secondary:focus {
    color: var(--default-text-colour);
    background-color: #F1F1F1;
    border-color: #DBDBDB;
    -webkit-box-shadow: 0 0 0 .2rem rgba(128,145,192,.5);
    box-shadow: 0 0 0 .2rem rgba(128,145,192,.5);
}



.btn-min-width
{
    border-radius: 0px!important;
    min-height: 20px!important;
    min-width: 100px;
    min-height: 20px;
}


.btn-min-width_110
{
    border-radius: 0px!important;
    min-height: 20px!important;
    min-width: 110px;
    min-height: 30px;
}

.btn-min-width_120
{
    border-radius: 0px!important;
    min-height: 20px!important;
    min-width: 120px;
    min-height: 30px;
}

.btn-min-width_130
{
    border-radius: 0px!important;
    min-height: 20px!important;
    min-width: 130px;
    min-height: 30px;
}

.btn-min-width_140
{
    border-radius: 0px!important;
    min-height: 20px!important;
    min-width: 140px;
    min-height: 30px;
}

.btn-min-width_150
{
    border-radius: 0px!important;
    min-height: 20px!important;
    min-width: 150px;
    min-height: 40px;
}

.btn_margin_bottom
{
    border-radius: 0px!important;
    min-height: 20px!important;
    margin-bottom: 3px;
}

.btn_margin_left
{
    margin-left: 3px;
}

.btn_margin_right
{
    margin-right: 3px;
}

.btn-small
{
    min-width: 40px;
    width: 40px;
}


/******************/
/* STATUS BOXES   */
/******************/


/* Display for Job / Task Status Boxes - On Route On Site etc/.. */

.status-box
{
    min-width:130px;
    max-width:130px;
    min-height:25px;
    max-height:25px;
    border-radius: .25em;
    /*box-shadow: 2px 2px 2px #888888;   */
}

.switch-display-on
{
    min-width:150px;
    max-width:150px;
    min-height:25px;
    max-height:25px;
    background-color: green;
    padding-left:10px;
    padding-top:3px;
    color: white;
    border-radius: .25em;
    /*box-shadow: 2px 2px 2px #888888;   */
}

.switch-display-off
{
    min-width:150px;
    max-width:150px;
    min-height:25px;
    max-height:25px;
    background-color: red;
    padding-left:10px;
    padding-top:3px;
    color: white;
    border-radius: .25em;
    /*box-shadow: 2px 2px 2px #888888;   */
}

.switch-display-na
{
    min-width:150px;
    max-width:150px;
    min-height:25px;
    max-height:25px;
    background-color: grey;
    padding-left:10px;
    padding-top:3px;
    color: white;
    border-radius: .25em;
    /*box-shadow: 2px 2px 2px #888888;   */
}

.status-box-label
{
    color: white!important;
    display: block!important;
    text-align: center!important;

    font-size: 75%!important;
    font-weight: 700!important;
    line-height: 1!important;
    white-space: nowrap!important;
    padding-top: 8px!important;
    border-radius: .25em!important;
    /*text-shadow: 0 0 1px #111318;    */
}

.task-status-box
{
    min-width:200px;
    max-width:200px;
    min-height:60px;
    max-height:60px;
    display: inline-block;
    margin-right: 15px;
    margin-bottom: 10px;
    margin-top: 5px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;
    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box-line {
    position: relative;
    color: white!important;
    cursor:default;
}

.task-status-box-line-left {
    position: absolute;
    width:100%;
    text-align: left;
    padding-left: 2px;
    z-index: 99;
    color: white;
}

.task-status-box-line-right {
    position: absolute;
    width:100%;
    text-align: right;
    padding-right: 2px;
    z-index: 100;
    color: pink;
}

.task-status-box_secondary
{
    min-width:200px;
    max-width:200px;
    min-height:60px;
    max-height:60px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: red;
    border-left-width : 8px;

    margin-right: 15px;
    margin-bottom: 10px;
    margin-top: 5px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box-wide_secondary
{
    min-width:200px;
    max-width:400px;
    min-height:60px;
    max-height:60px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: red;
    border-left-width : 8px;

    margin-right: 15px;
    margin-bottom: 10px;
    margin-top: 5px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box_hassecondary
{
    min-width:200px;
    max-width:200px;
    min-height:60px;
    max-height:60px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: green;
    border-left-width : 8px;

    margin-right: 15px;
    margin-bottom: 10px;
    margin-top: 5px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box-wide_hassecondary
{
    min-width:200px;
    max-width:200px;
    min-height:60px;
    max-height:60px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: green;
    border-left-width : 8px;

    margin-right: 15px;
    margin-bottom: 10px;
    margin-top: 5px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}


.task-status-box-small
{
    min-width:100px;
    max-width:100px;
    min-height:50px;
    max-height:50px;
    /*display: inline-block;   */
    margin-right: 5px;
    margin-bottom: 5px;
    margin-top: 0px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;
    /*box-shadow: 2px 2px 2px #888888;   */
}

.highlight-box
{
    padding-right: 5px;
    margin-top: 0px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;
}

.task-status-box-small-wide
{
    min-width:180px;
    max-width:180px;
    min-height:75px;
    max-height:70px;
    display: inline-block;
    margin-right: 5px;
    margin-bottom: 5px;
    margin-top: 0px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;
    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box-small_secondary
{
    min-width:100px;
    max-width:100px;
    min-height:50px;
    max-height:50px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: red;
    border-left-width : 8px;

    margin-right: 5px;
    margin-bottom: 5px;
    margin-top: 0px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box-small-wide_secondary
{
    min-width:100px;
    max-width:200px;
    min-height:50px;
    max-height:60px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: red;
    border-left-width : 8px;

    margin-right: 5px;
    margin-bottom: 5px;
    margin-top: 0px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box-small_hassecondary
{
    min-width:100px;
    max-width:100px;
    min-height:50px;
    max-height:50px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: green;
    border-left-width : 8px;

    margin-right: 5px;
    margin-bottom: 5px;
    margin-top: 0px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}

.task-status-box-small-wide_hassecondary
{
    min-width:100px;
    max-width:200px;
    min-height:50px;
    max-height:60px;
    display: inline-block;

    border-left-style: solid;
    border-left-color: green;
    border-left-width : 8px;

    margin-right: 5px;
    margin-bottom: 5px;
    margin-top: 0px;
    overflow: hidden;
    z-index:1;
    border-radius: .25em;

    /*box-shadow: 2px 2px 2px #888888;   */
}


/****************/
/* HEADER ICONS */
/****************/

.header-icon {
    color: pink;
    height: 4.125rem;
    display: block;
    line-height: 4.125rem;
    text-decoration: none;
    position: relative
}

.header-icon:not(.btn) {
    min-width: 3.125rem;
    text-align: center;
    overflow: visible
}

.header-icon:not(.btn)>.ni:first-child,
.header-icon:not(.btn)>[class*=fa-]:first-child {
    color: var(--header-icon-color);
    vertical-align: middle
}

.header-icon:not(.btn)>[class*=fa-]:first-child {
    font-size: 21px
}

.header-icon:not(.btn)>.ni:first-child {
    font-size: 21px
}

.header-icon:not(.btn):hover>.ni,
.header-icon:not(.btn):hover>[class*=fa-]:only-child {
    color: var(--header-icon-color);
    filter: brightness(70%);
}

.header-icon:not(.btn)[data-toggle=dropdown][data-toggle=dropdown]:after {
    content: " ";
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    background: #dae1e8;
    border-radius: 50%;
    top: 1.3125rem;
    z-index: -1;
    left: .9375rem;
    opacity: 0;
    -webkit-transition: all .1s ease-in;
    transition: all .1s ease-in
}

.header-icon:not(.btn)[data-toggle=dropdown][aria-expanded=true] {
    color: var(--header-icon-color);
    filter: brightness(70%);
    position: relative;
    z-index: 1001;
    font-weight: 500
}

.header-icon:not(.btn)[data-toggle=dropdown][aria-expanded=true]:after {
    content: " ";
    width: 2.5rem;
    height: 2.5rem;
    top: .8125rem;
    z-index: -1;
    left: .3125rem;
    opacity: 1
}

.header-icon:not(.btn)[data-toggle=dropdown][aria-expanded=true]>.ni:first-child,
.header-icon:not(.btn)[data-toggle=dropdown][aria-expanded=true]>[class*=fa-]:first-child {
    color: var(--header-icon-color)!important;
    filter: brightness(70%);
    -webkit-background-clip: initial;
    -webkit-text-fill-color: initial;
    background: 0 0
}

.header-icon:not(.btn)[data-toggle=dropdown]+.dropdown-menu {
    position: absolute;
    border: 0 solid #ccc;
    right: 2rem;
    top: 4.0625rem!important;
    left: auto!important;
    padding: 0;
    margin: 0
}

.header-icon:not(.btn) .profile-image {
    width: 2rem;
    height: auto
}

.header-icon:hover {
    cursor: default;
    color: var(--header-icon-color);
    filter: brightness(70%);
}

/******************/
/* DASHBOARDS      */
/******************/

.customer-logo
{
    float:right;
    margin-top:-20px;
}

.dashboard-datepicker
{
    color: #545454;
    font-size: large;
    outline: none;
    margin: auto;
    display: block;
    text-align: center;
    border-color: transparent;
    background-color: transparent;
    width: 220px;
}

.dashboard-panel-content {
    padding-top: 0px!important;
    padding-bottom: 0px!important;
    padding-left: 0px!important;
    padding-right: 0px!important;
}

.dashboard-pane {
    padding-top: 5px!important;
}

.dashboard-panel-content div.dataTables_wrapper div.dataTables_filter {
    /*display: none;*/
}

.widget-icon
{
    font-size: 18px;
}

.dashboard-header
{
    font-size: .875rem!important;
}

.dashboard-icon
{
    font-size: 1.2rem!important;
}

.dashboard-engineer
{
    min-width: 50px;
}

.dashboard-engineer-name
{
    /* */
}

.dashboard-job-count
{
    /* */
}

.dashboard-gantt
{
    min-width: 150px;
}

.dashboard-search
{
    width:100%;
    border-left: none;
    border-right: none;
    border-top: none;
    border-bottom-width: 1px;
    width:90%;
}


/***************************************/
/* FLOATING MENU BUTTON - BOTTOM RIGHT */
/***************************************/

/* Defaults OK - only add back in if you want  HELP TEXT / CONFLUENCE button below
.shortcut-menu {
    position: fixed;
    right: 1.5rem;
    bottom: 7.3125rem;
    z-index: 931;
}
 */

.label {
    font-weight: 500;
}

label.menu-open-button {
    background: var(--main-accent-colour);
}

.menu-item:hover,
label.menu-open-button:hover {
    background: var(--main-accent-colour);
    filter: brightness(90%);
}

.menu-item, label.menu-open-button {
    background: var(--main-accent-colour);
}

.header-btn[data-class="mobile-nav-on"] {
    border-color: var(--main-accent-colour);
    background-color: var(--main-accent-colour);
    /* background-image: -webkit-gradient(linear,left bottom, left top,from(#ff2a28),to(#f40300)); */
    background-image: linear-gradient(to top,var(--main-accent-colour),var(--main-accent-colour));
    color: #fff;
    width: 3.875rem;
}

/**************************/
/* HELP TEXT / CONFLUENCE */
/**************************/

/* not required for now - as added to top of floating menu button

#amb-cnf-embedded-container-1 {
    position: fixed;
    right: 0;
    bottom: 46px;
    border: none;
    background: transparent;
    z-index: 99999;
    padding: 15px;
    margin-right: 6px;
    font-size: 25px;
}

#amb-cnf-embedder-launcher {
    color: var(--main-accent-colour)!important;
}

.amb-cnf-search-header {
    background: var(--main-accent-colour)!important;
    color: #ffffff;
}

 */

/******************************************/
/* FORM TITLES (List View, Gantt View etc */
/******************************************/

.subheader-title {
    color: var(--default-text-colour);
    font-weight: 300;
}

.subheader-title > .fa {
    color: var(--default-text-colour);
    font-weight: 100;
}

/********************/
/* MAINTENANCE      */
/********************/

.maintenance-title {
    margin-bottom: 10px!important;
}

.note-error {
    color:red!important;
}


/********************/
/* CALENDAR          */
/********************/


.fc-today-button
{
    min-width: 100px;
    min-height: 20px;
}

.alert-info {
    background-color: #F8F9FB;
    border-color: #F8F9FB;
    border-width: #F8F9FB;
}

.alert {
    background-color: #F8F9FB;
    border-color: #F8F9FB;
    border-width: #F8F9FB;
}


/********************/
/* LOGIN SCREEN      */
/********************/


.login-footer-company {
    position: absolute;
    bottom: 0;
    height: 2.8125rem;
    align-items: center;
    background: transparent;
    color: #4d4d4d;
    font-size: .8125rem;
    padding: 0 2rem;
}

.login-footer-policy {
    position: absolute;
    bottom: 0;
    right:0;
    height: 2.8125rem;
    background: transparent;
    color: #4d4d4d;
    font-size: .8125rem;
    padding: 0 2rem;
}

.login-main-panel{
    margin-top:5px;
}


/********************/
/* SELECT 2         */
/********************/

.select2-container--default .select2-results__option--highlighted[aria-selected]
{
    background-color: var(--main-accent-colour)!important;
}

/********************/
/* MODALS           */
/********************/

.modal-dialog-scrollable .modal-body {
    overflow-y: auto;
    overflow-x: hidden;
}

/* controls maintenance modal screen (which is smaller than normal modal */
.modal-maintenance {
    /*
    width: 500px;
     */
    z-index: 999;
    height : calc(100vh - 3.5rem);
}

/* controls maintenance modal screen (which is smaller than normal modal */
.modal-maintenance-medium {
    /*
    width: 500px;
    max-width: 500px !important;
    margin: 1.75rem auto;
    */
    z-index: 999;
    height : calc(100vh - 3.5rem);
}

.modal-maintenance-full-width {
    /*
    width: 80vw;
    max-width: 80vw; !important;
    margin: 1.75rem auto;
     */
    z-index: 999;
    height : calc(100vh - 3.5rem);
}

.modal-location {
    /*
    width: 600px;
    max-width: 600px !important;
    margin: 1.75rem auto;
     */
    z-index: 999;
}

.modal-generic {

    /*
    margin-top: 50px;
    width: 875px;
    max-width: 875px !important;
    margin: 1.75rem auto;
    height: 70vh;
     */
    z-index: 999;
}

.modal-full-screen {
   max-width: 100%;
   margin-left: 15px;
}
.modal-full-screen .modal-page-footer {
    /*
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    background-color: white;

     */
}

.modal-maintenance-control
{
    /*
    width:430px;
    max-width: 430px!important;
    margin: 1.75rem auto;
     */
}

.modal-25-vh
{
    max-height: 25vh;
    overflow-y: scroll;
}

.modal-50-vh
{
    max-height: 50vh;
    overflow-y: scroll;
}

.modal-75-vh
{
    max-height: 75vh;
    overflow-y: scroll;
}

.modal-100-vh
{
    max-height: 100vh;
    overflow-y: scroll;
}

.modal-25-vw
{
    max-height: 25vw;
    overflow-y: scroll;
}

.modal-50-vw
{
    max-height: 50vw;
    overflow-y: scroll;
}

.modal-75-vw
{
    max-height: 75vw;
    overflow-y: scroll;
}

.modal-100-vw
{
    max-height: 100vw;
    overflow-y: scroll;
}

#mfa-modal {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

.modal-page-footer {
    position: fixed;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 1000;
    margin-left: 1px;
    margin-right: 1px;
    background-color: white;
}

.location-map-marker {
    color: orange;
    font-size: 18px;
    float: right;
}


/********************/
/* DATE PICKER       */
/********************/
.datepicker {
    z-index: 1006 !important;
}

/* Classes to modify datepicker z-index where required */
.datepicker3040 {
    z-index: 3040 !important;
}

/********************/
/* Select Multi     */
/********************/
.displaySelectMulti {
    background-color: #EBEEF5!important;
    background: #EBEEF5!important;
    padding-top:5px!important;
    font-size: 16px!important;
    color: #3d4e7c!important;
    border: 1px solid #aaa;
    border-color: #7b8dbd!important;
    font-family: Roboto,"Helvetica Neue",Helvetica,Arial!important;
    font-size: .8125rem!important;
    letter-spacing: .1px!important;
    max-height: 30px!important;
    height: 30px!important;
    overflow: hidden!important;
    text-overflow: ".." !important;
    white-space: nowrap!important;
    margin-left: 2px!important;
    padding-left: 5px!important;
    padding-right: 5px!important;

}

/********************/
/* DATATABLES       */
/********************/
.dataTables_empty {
    color: grey!important;
    font-size: 1rem!important;
    padding-top: 2.5rem!important;
    padding-bottom: 2.5rem!important;
}

.dataTable_actions {
    min-width: 300px;

}

.dataTable_actions input {
    display:none;

}

/* BELOW ARE HERE TO ACCOUNT FOR GENERIC SEARCH BOX BEING DISABLED ON MAINTENANCE SCREEN */

#dt_maintenance_filter
{
    display:none;
}

#dt_maintenance_wrapper
{
    margin-top: -10px;
}

/* ------------------------------------------------------------------------------------- */

.table thead {
    background-color: #e9e9e9!important;
}

.table-hover tbody tr:hover {
    background-color: #ECF3F8;
    border-width: 0px;
    -webkit-box-shadow:none!important;
    box-shadow:none!important;
}

.job-allocation-task-status-box
{
    float: left;
}

.engineers
{
    margin-bottom: 20px;
}

.task-status-box-label
{
    color: white!important;
    display: block!important;
    text-align: left!important;
    font-size: 75%!important;
    font-weight: 700!important;
    line-height: 1!important;
    white-space: nowrap!important;
    overflow: hidden;
    border-radius: .25em!important;
    padding: .2em .6em .3em !important;
    padding-top: 5px!important;
    cursor:pointer;
    /*text-shadow: 0 0 1px #111318;    */
}

.task-status-box-label-display
{
    color: white!important;
    display: block!important;
    text-align: left!important;
    font-weight: 700!important;
    white-space: nowrap!important;
    padding-top: 0px!important;
    overflow: hidden;
    border-radius: .25em!important;
    /*text-shadow: 0 0 1px #111318;    */
}

.task-status-box-label-display-timeslot
{
    color: navy!important;
    margin-top: 3px;
}

.task-status-box-label-display-line01
{
    margin-bottom: 5px;
}

.select2-dropdown {z-index: 99999!important;}

.displaySelectMulti {
    pointer-events: none;
    touch-action: none;
    background-clip: padding-box;
    border-radius: 2px;
    color: white;
    width: 100px;
    min-width: 100px;
    cursor: pointer;
    text-align: center;
    vertical-align: center;
    padding-top: 4px;
    margin-right: 2px;
    height: 25px;
    font-size: smaller;
    max-height: 25px;
    background-color: #3276b1;
    background: #3276b1;
}

/********************/
/* CALENDAR       */
/********************/
.fc-event
{
    /*
    border-style: solid!important;
    border-color: transparent;
    border-width: 2px!important;
    border-left-color: purple;
    */

    /*

    border-left-width : 8px!important;
    border-left-style: solid;


     */

    /*
    padding-left: 2px;
    padding-right:30px;
    */

    /*
    border-right-width : 8px!important;
    border-right-style: dotted;
    padding-right: 2px;
    */

}

.cal-icon
{
    color: purple;
}

.allocation-icon
{
    color: white;
    margin-top:5px;
    margin-right:5px;
}

.cal-count
{
    margin-top:3px;
    color: white;
    font-size: 1.1em!important;
}


.cal-title
{
    color: yellow;
}

.cal-data
{
    color: yellow;
}

.cal-data-status
{
    color: orange;
}

.cal-progress-container
{
    background-color: grey;
    margin-left:0px;
    margin-bottom:2px;
    border-radius: 2px;
    padding:2px;
    width:95%;

}

.cal-progress-bar
{

}

.cal-progres-bar-text
{
    width:85%;
    margin-left:5px;
    position: absolute;
    z-index: 999;
}


.cal-progress
{
    max-height: 50px;
    margin-bottom: 4px;
    margin-left:10px;
    margin-right:10px;
    border-radius: 2px;
    max-height: 20px;
    min-height: 20px;
}



.drill-down
{

}

.drill-down-icon {
    color: var(--default-text-colour);
    min-width: 18px;
    max-width: 18px;
    min-height: 18px;
    max-height: 18px;

}

/* Absolute Center Spinner */
.loading {
    position: absolute;
    z-index: 9999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

/* Transparent Overlay */
.loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3);
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.loading:not(:required):after {
    content: '';
    display: block;
    font-size: 10px;

    border-top: 16px solid #FF9714;
    border-right: 16px solid #3276B1;
    border-bottom: 16px solid #1B1E24;
    border-left: 16px solid #434953;

    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;

}

/* typeahead styles */
.tt-query, /* UPDATE: newer versions use tt-input instead of tt-query */
.tt-hint {
    width: 396px;
    height: 30px;
    padding: 0px 0px;
    font-size: 12px;
    line-height: 20px;
    border: 2px solid #ccc;
    border-radius: 8px;
    outline: none;
}

.twitter-typeahead { width: 100%; }

.tt-input { /* UPDATE: newer versions use tt-input instead of tt-query */

}

.tt-hint {
    color: #999;
}

.tt-menu { /* UPDATE: newer versions use tt-menu instead of tt-dropdown-menu */
    width: 422px;
    margin-top: 12px;
    padding: 8px 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    box-shadow: 0 5px 10px rgba(0,0,0,.2);
}

.tt-suggestion {
    padding: 3px 20px;
    font-size: 14px;
    line-height: 24px;
}

.tt-suggestion.tt-cursor {
    color: #fff;
    background-color: #0097cf;

}

.tt-suggestion p {
    margin: 0;
}

/********************/
/* STOCK SECTION    */
/********************/

.link-td
{
    position: relative;
}

.arrow-right-drill {
    position: absolute;
    bottom: 1px;
    right: -1px;
    float: right;
    width: 0;
    height: 0;
    cursor: pointer;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #80808063;
    transform: rotate(135deg);
}

/********************/
/* TASK DETAILS     */
/********************/

.task-data-row {
    line-height: 15px;
}

.task-data-heading {
    font-size: 1.0625rem;
    color: var(--default-text-colour);
}

.task-data-label {
    text-align: right;
    color: var(--default-text-colour);
    font-weight : 700;
}

.task-data-value {
    text-align: left;
    color: var(--default-text-colour);
}

.task-tab-item {
    margin-bottom: 5px;
    margin-right: 2px;
    min-width: 100px;
    background-color: #EEEEEE;
    border-color: #EEEEEE;
    color: #84888B;
    text-align: center;
    border-radius: 0px!important;
}

.task-tabs {

}

.task-tabs > li.active > a, .task-tabs > li.active > a:focus, .task-tabs > li.active > a:hover {
    color: #fff;
    background-color: var(--main-accent-colour);
}


.task-tabs > li > a:focus, .nav > li > a:hover {
    text-decoration: none;
    color: #84888B;
    background-color: var(--main-accent-colour);
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: var(--main-accent-colour);
}

.task-data-hr {
    border: none;
    margin-top: 0px;
    border-bottom: 1px solid var(--text-light);
}

/********************/
/* WALKTHROUGHS     */
/********************/

.info_highlight
{
    opacity: 0.4!important;
}


/********************/
/* SELECT2 ERRORS   */
/********************/

.is-invalid {border:1px solid rgb(255, 67, 65) !important;}

/********************/
/* SELECT2 ERRORS   */
/********************/
.bootbox.modal {z-index: 9999 !important;}

.CellWithComment{position:relative;}

.CellComment
{
    visibility: hidden;
    min-width: 110px;
    position:absolute;
    z-index:9999;
    text-align: Left;
    opacity: 1.0;
    transition: opacity 1s;
    border-radius: 2px;
    margin-top: 5px;
    margin-left: 8px;
    background-color: #FFF;
    padding:3px;
    top:0px;
    left:0px;
}

.CellWithComment:hover span.CellComment {visibility: visible;opacity: 1;}


.case-management-window
{
    border-color: var(--main-accent-colour);
    border-width: 4px;
}

.modal-lg
{
    max-width: 80%;
}

#genericCaseModal
{
    z-index: 4000;
    position: fixed;
    top: 30px;
    left: 0;
    z-index: 2050;
    display: none;
    width: 100%;
    height: 80%;
    overflow: hidden;
    outline: 0;
}

.modal-case-lg, .modal-case-xl {
    max-width: 80%;
}

#toast-container {
    top: 75px;
    right: 10px;
}

.modal-header {
    padding-top : 1.0rem;
    padding-left: 1.25rem;
    padding-right: 1.25rem;
    padding-bottom: 0rem;
}